{%- extends "_layout_search.html" %}

{%- block contentsearchform %}

                            <div class="row">
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_default(g.search_form.label) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_from, 'datetimepicker-hm-from') }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_datetime(g.search_form.dt_to, 'datetimepicker-hm-to') }}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.groups) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.severities) }}
                                </div>
                                <div class="col-sm-4">
                                    {{ macros_form.render_form_item_select(g.search_form.types) }}
                                </div>
                            </div>

{%- endblock contentsearchform %}

{%- block contentsearchresult %}

                    <ul class="list-group list-group-hover">
                        {%- for item in items %}
                        <li class="list-group-item">
                            <h4 class="list-group-item-heading">
                                <div class="pull-right">
                                    {{ macros_page.render_menu_context_actions(item) }}
                                </div>
                                {{ item.label }}
                                {{ macros_site.render_report_label_type(item) }}
                                {{ macros_site.render_report_label_severity(item) }}
                                {{ macros_site.render_report_label_weight(item) }}
                            {%- if item.evcount_flt_blk %}
                                <span class="label label-default" data-toggle="tooltip" title="{{ _('Some of the data for this report were filtered out by reporting filters') }}" >{{ get_icon('report-data-filtered') }}</span>
                            {%- endif %}
                            {%- if item.evcount_rlp %}
                                <span class="label label-danger" data-toggle="tooltip" title="{{ _('Report contains relapsed events') }}" >{{ get_icon('report-data-relapsed') }}</span>
                            {%- endif %}
                            {%- if item.flag_testdata %}
                                <span class="label label-default" title="{{ _('Report was generated from test data') }}" data-toggle="tooltip">{{ get_icon('report-data-test') }}</span>
                            {%- endif %}
                            {%- if item.flag_mailed %}
                                <span class="label label-default" title="{{ _('Report was mailed at') }} {{ babel_format_datetime(item.mail_dt) }} ({{ _('%(delta)s ago', delta = babel_format_timedelta(current_datetime_utc - item.mail_dt)) }}){% if item.mail_to %} {{ _('to') }} {{ item.mail_to | join(', ') }}{% endif %}" data-toggle="tooltip">{{ get_icon('report-data-mailed') }}</span>
                            {%- endif %}
                            </h4>
                            <hr>
                            <p class="list-group-item-text">
                                <strong>{{ _('Abuse group:') }}</strong> <a href="{{ url_for('groups.show', item_id = item.group.id ) }}" data-toggle="tooltip" title="{{ _('View details of group &quot;%(item)s&quot;', item = item.group.name) }}">{{ item.group.name }}</a>
                                &nbsp;|&nbsp;
                                <strong>{{ _('Created:') }}</strong> {{ babel_format_datetime(item.createtime) }} ({{ _('%(delta)s ago', delta = babel_format_timedelta(current_datetime_utc - item.createtime)) }})
                                &nbsp;|&nbsp;
                                <strong>{{ _('Report window:') }}</strong> {{ babel_format_datetime(item.dt_from) }} - {{ babel_format_datetime(item.dt_to) }} ({{ babel_format_timedelta(item.delta) }})
                                &nbsp;|&nbsp;
                                <strong>{{ _('Event counts:') }}</strong> {{ item.evcount_rep }} {{ _('reported') }}{% if item.type == 'summary' %} ({{ item.evcount_all }} {{ _('matched') }}, {{ item.evcount_new }} {{ _('new events') }}, {{ item.evcount_flt_blk }} {{ _('filtered out') }}, {{ item.evcount_thr_blk }} {{ _('thresholded') }}, {{ item.evcount_rlp }} {{ _('relapsed') }}){% else %}, {{ item.evcount_all }} {{ _('total in parent summary report') }}{% endif %}
                            </p>
                            <hr>
                            <div class="progress" data-toggle="tooltip" title="{{ _('Number of events in this report in comparison with other reports in the result.') }}">
                                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: {{ '{:3.0f}'.format(item.evcount_rep/max_evcount_rep*100) }}%">
                                </div>
                            </div>
                        </li>
                    {%- endfor %}
                    </ul>

{%- endblock contentsearchresult %}
